ECHO(1V)

NAME
echo - echo arguments to the standard output

SYNOPSIS
echo [ -n ] [ argument ... ]

SYSTEM V SYNOPSIS
/usr/5bin/echo argument ...

AVAILABILITY
The System V version of this command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION

echo writes its arguments on the standard output. Arguments must be separated by SPACE characters or TAB characters, and terminated by a NEWLINE.

echo is useful for producing diagnostics in shell programs and for writing constant data on pipes. If you are using the Bourne shell (sh(1)), you can send diagnostics to the standard error file by typing:
    echo ... >&2

SYSTEM V DESCRIPTION

Note: If /usr/5bin is ahead of /usr/bin in the Bourne shell's search path, its built-in echo command mimics the System V version of echo as described here.

echo also understands C -like escape conventions; beware of conflicts with the shell's use of `\':
    \b  BACKSPACE
    \c  Print line without NEWLINE
    \f  FORMFEED
    \n  NEWLINE
    \r  RETURN
    \t  TAB
    \v  vertical TAB
    \\  backslash
    \n  the 8-bit character whose ASCII code is the 1-, 2-, 3- or 4-digit octal number n. The first digit must be zero.

OPTIONS
-n  Do not add the NEWLINE to the output.

SEE ALSO
sh(1)